<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN" "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd" [
<!ENTITY version SYSTEM "version.xml">
]>
<refentry id="milter-manager-MilterWriter">
<refmeta>
<refentrytitle role="top_of_page" id="milter-manager-MilterWriter.top_of_page">MilterWriter</refentrytitle>
<manvolnum>3</manvolnum>
<refmiscinfo>milter managerライブラリ</refmiscinfo>
</refmeta>
<refnamediv>
<refname>MilterWriter</refname>
<refpurpose/>
</refnamediv>

<refsynopsisdiv id="milter-manager-MilterWriter.synopsis" role="synopsis">
<title role="synopsis.title">概要</title>

<synopsis>#define             <link linkend="MILTER-WRITER-ERROR:CAPS">MILTER_WRITER_ERROR</link>
enum                <link linkend="MilterWriterError">MilterWriterError</link>;
                    <link linkend="MilterWriter">MilterWriter</link>;
<link linkend="GQuark"><returnvalue>GQuark</returnvalue></link>              <link linkend="milter-writer-error-quark">milter_writer_error_quark</link>           (void);
<link linkend="MilterWriter"><returnvalue>MilterWriter</returnvalue></link> *      <link linkend="milter-writer-io-channel-new">milter_writer_io_channel_new</link>        (<link linkend="GIOChannel"><returnvalue>GIOChannel</returnvalue></link> *channel);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-writer-write">milter_writer_write</link>                 (<link linkend="MilterWriter"><returnvalue>MilterWriter</returnvalue></link> *writer,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *chunk,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> chunk_size,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *written_size,
                                                         <link linkend="GError"><returnvalue>GError</returnvalue></link> **error);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-writer-flush">milter_writer_flush</link>                 (<link linkend="MilterWriter"><returnvalue>MilterWriter</returnvalue></link> *writer,
                                                         <link linkend="GError"><returnvalue>GError</returnvalue></link> **error);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-writer-start">milter_writer_start</link>                 (<link linkend="MilterWriter"><returnvalue>MilterWriter</returnvalue></link> *writer);
<link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            <link linkend="milter-writer-is-watching">milter_writer_is_watching</link>           (<link linkend="MilterWriter"><returnvalue>MilterWriter</returnvalue></link> *writer);
<link linkend="void"><returnvalue>void</returnvalue></link>                <link linkend="milter-writer-shutdown">milter_writer_shutdown</link>              (<link linkend="MilterWriter"><returnvalue>MilterWriter</returnvalue></link> *writer);
</synopsis>
</refsynopsisdiv>

<refsect1 id="milter-manager-MilterWriter.description" role="desc">
<title role="desc.title">説明</title>
<para>
</para>
</refsect1>
<refsect1 id="milter-manager-MilterWriter.details" role="details">
<title role="details.title">詳細</title>
<refsect2 id="MILTER-WRITER-ERROR:CAPS" role="macro">
<title>MILTER_WRITER_ERROR</title>
<indexterm zone="MILTER-WRITER-ERROR:CAPS"><primary>MILTER_WRITER_ERROR</primary></indexterm>
<programlisting>#define MILTER_WRITER_ERROR           (milter_writer_error_quark())
</programlisting>
<para>
</para></refsect2>
<refsect2 id="MilterWriterError" role="enum">
<title>enum MilterWriterError</title>
<indexterm zone="MilterWriterError"><primary>MilterWriterError</primary></indexterm>
<programlisting>typedef enum
{
    MILTER_WRITER_ERROR_NO_CHANNEL,
    MILTER_WRITER_ERROR_IO_ERROR
} MilterWriterError;
</programlisting>
<para>
</para></refsect2>
<refsect2 id="MilterWriter" role="struct">
<title>MilterWriter</title>
<indexterm zone="MilterWriter"><primary>MilterWriter</primary></indexterm>
<programlisting>typedef struct {
    GObject object;
} MilterWriter;
</programlisting>
<para>
</para></refsect2>
<refsect2 id="milter-writer-error-quark" role="function">
<title>milter_writer_error_quark ()</title>
<indexterm zone="milter-writer-error-quark"><primary>milter_writer_error_quark</primary></indexterm>
<programlisting><link linkend="GQuark"><returnvalue>GQuark</returnvalue></link>              milter_writer_error_quark           (void);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-writer-io-channel-new" role="function">
<title>milter_writer_io_channel_new ()</title>
<indexterm zone="milter-writer-io-channel-new"><primary>milter_writer_io_channel_new</primary></indexterm>
<programlisting><link linkend="MilterWriter"><returnvalue>MilterWriter</returnvalue></link> *      milter_writer_io_channel_new        (<link linkend="GIOChannel"><returnvalue>GIOChannel</returnvalue></link> *channel);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>channel</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-writer-write" role="function">
<title>milter_writer_write ()</title>
<indexterm zone="milter-writer-write"><primary>milter_writer_write</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_writer_write                 (<link linkend="MilterWriter"><returnvalue>MilterWriter</returnvalue></link> *writer,
                                                         const <link linkend="gchar"><returnvalue>gchar</returnvalue></link> *chunk,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> chunk_size,
                                                         <link linkend="gsize"><returnvalue>gsize</returnvalue></link> *written_size,
                                                         <link linkend="GError"><returnvalue>GError</returnvalue></link> **error);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>writer</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>chunk</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>chunk_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>written_size</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>error</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-writer-flush" role="function">
<title>milter_writer_flush ()</title>
<indexterm zone="milter-writer-flush"><primary>milter_writer_flush</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_writer_flush                 (<link linkend="MilterWriter"><returnvalue>MilterWriter</returnvalue></link> *writer,
                                                         <link linkend="GError"><returnvalue>GError</returnvalue></link> **error);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>writer</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><parameter>error</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-writer-start" role="function">
<title>milter_writer_start ()</title>
<indexterm zone="milter-writer-start"><primary>milter_writer_start</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_writer_start                 (<link linkend="MilterWriter"><returnvalue>MilterWriter</returnvalue></link> *writer);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>writer</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-writer-is-watching" role="function">
<title>milter_writer_is_watching ()</title>
<indexterm zone="milter-writer-is-watching"><primary>milter_writer_is_watching</primary></indexterm>
<programlisting><link linkend="gboolean"><returnvalue>gboolean</returnvalue></link>            milter_writer_is_watching           (<link linkend="MilterWriter"><returnvalue>MilterWriter</returnvalue></link> *writer);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>writer</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
<varlistentry><term><emphasis>返値</emphasis>&nbsp;:</term><listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>
<refsect2 id="milter-writer-shutdown" role="function">
<title>milter_writer_shutdown ()</title>
<indexterm zone="milter-writer-shutdown"><primary>milter_writer_shutdown</primary></indexterm>
<programlisting><link linkend="void"><returnvalue>void</returnvalue></link>                milter_writer_shutdown              (<link linkend="MilterWriter"><returnvalue>MilterWriter</returnvalue></link> *writer);</programlisting>
<para>
</para><variablelist role="params">
<varlistentry><term><parameter>writer</parameter> :</term>
<listitem><simpara>
</simpara></listitem></varlistentry>
</variablelist></refsect2>

</refsect1>

</refentry>
